Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/OptionsSection.java	(revision 3445)
@@ -11,6 +11,7 @@
 import org.eclipse.ui.forms.widgets.TableWrapLayout;
 import org.txm.objects.Project;
 import org.txm.rcp.editors.imports.ImportFormEditor;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class OptionsSection extends ImportEditorSection {
 	
@@ -20,9 +21,9 @@
 	// private Button multithreadButton;
 	
 	public OptionsSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "misc");
+		super(editor, toolkit2, form2, parent, style, "misc"); //$NON-NLS-1$
 		
-		this.section.setText("Options");
+		this.section.setText(TXMUIMessages.Options);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -43,7 +44,7 @@
 		sectionClient.setLayout(slayout);
 		this.section.setClient(sectionClient);
 		
-		cleanButton = toolkit.createButton(sectionClient, "Remove temporary directories", SWT.CHECK);
+		cleanButton = toolkit.createButton(sectionClient, TXMUIMessages.RemoveTemporarydirectories, SWT.CHECK);
 		TableWrapData gdata = getTextGridData();
 		gdata.grabHorizontal = true;
 		gdata.colspan = 2;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3445)
@@ -23,7 +23,7 @@
 	private Text descText;
 	
 	public InfosSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "infos");
+		super(editor, toolkit2, form2, parent, style, "infos"); //$NON-NLS-1$
 		
 		// this = toolkit.createSection(form.getBody(), ExpandableComposite.TITLE_BAR|ExpandableComposite.TWISTIE);
 		this.section.setText(TXMUIMessages.description);
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/WordsSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/WordsSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/WordsSection.java	(revision 3445)
@@ -54,9 +54,9 @@
 	private HashMap<String, Boolean> moduleParams;
 	
 	public WordsSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style, HashMap<String, Boolean> moduleParams) {
-		super(editor, toolkit2, form2, parent, style, "words");
+		super(editor, toolkit2, form2, parent, style, "words"); //$NON-NLS-1$
 		this.moduleParams = moduleParams;
-		this.section.setText("Words");
+		this.section.setText(TXMUIMessages.Words);
 		TableWrapLayout layout = new TableWrapLayout();
 		layout.makeColumnsEqualWidth = true;
 		this.section.setLayout(layout);
@@ -115,7 +115,7 @@
 		gdata.colspan = 3;
 		doRetokenizeStepButton.setLayoutData(gdata);
 		
-		doBuildWordIDsButton = toolkit.createButton(sectionClient, "Build word identifiers", SWT.CHECK);
+		doBuildWordIDsButton = toolkit.createButton(sectionClient, TXMUIMessages.BuildWordIdentifiers, SWT.CHECK);
 		doBuildWordIDsButton.setToolTipText(TXMUIMessages.performWordSegmentationWithinWord);
 		doBuildWordIDsButton.setSelection(true);
 		doBuildWordIDsButton.setVisible(moduleParams.get(ImportModuleCustomization.ADVANCEDTOKENIZER));
@@ -136,7 +136,7 @@
 		gdata.indent = 40;
 		l1.setLayoutData(gdata);
 		
-		textWhiteSpaces = toolkit.createText(sectionClient, "", SWT.BORDER);
+		textWhiteSpaces = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
 		gdata = getLongTextGridData();
 		textWhiteSpaces.setLayoutData(gdata);
 		
@@ -146,7 +146,7 @@
 		gdata.indent = 40;
 		l2.setLayoutData(gdata);
 		
-		textPuncts = toolkit.createText(sectionClient, "", SWT.BORDER);
+		textPuncts = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
 		gdata = getLongTextGridData();
 		textPuncts.setLayoutData(gdata);
 		
@@ -156,7 +156,7 @@
 		gdata.indent = 20;
 		l4.setLayoutData(gdata);
 		
-		textElisions = toolkit.createText(sectionClient, "", SWT.BORDER);
+		textElisions = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
 		gdata = getLongTextGridData();
 		textElisions.setLayoutData(gdata);
 		
@@ -166,7 +166,7 @@
 		gdata.indent = 20;
 		l3.setLayoutData(gdata);
 		
-		textPunctsStrong = toolkit.createText(sectionClient, "", SWT.BORDER);
+		textPunctsStrong = toolkit.createText(sectionClient, "", SWT.BORDER); //$NON-NLS-1$
 		gdata = getLongTextGridData();
 		textPunctsStrong.setLayoutData(gdata);
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/FrontXSLSection.java	(revision 3445)
@@ -50,7 +50,7 @@
 	TableViewer xsltParamsViewer;
 	
 	public FrontXSLSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "xslt");
+		super(editor, toolkit2, form2, parent, style, "xslt"); //$NON-NLS-1$
 		
 		this.section.setText(TXMUIMessages.frontXSL);
 		TableWrapLayout layout = new TableWrapLayout();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/ImportEditorSection.java	(revision 3445)
@@ -80,7 +80,7 @@
 	 */
 	public ImportEditorSection(ImportFormEditor editor, FormToolkit toolkit, ScrolledForm form, Composite parent, int style, String name) {
 		
-		if (name == null) throw new IllegalArgumentException("Section name must not be null or empty.");
+		if (name == null) throw new IllegalArgumentException("Section name must not be null or empty."); //$NON-NLS-1$
 		
 		section = toolkit.createSection(parent, style);
 		this.editor = editor;
@@ -158,16 +158,16 @@
 	 */
 	public boolean save(Document document) {
 		
-		NodeList sectionList = document.getElementsByTagName("section");
+		NodeList sectionList = document.getElementsByTagName("section"); //$NON-NLS-1$
 		Element sectionElement = null;
 		for (int i = 0; i < sectionList.getLength(); i++) {
-			if (name.equals(sectionList.item(i).getAttributes().getNamedItem("name").getNodeValue())) {
+			if (name.equals(sectionList.item(i).getAttributes().getNamedItem("name").getNodeValue())) { //$NON-NLS-1$
 				sectionElement = (Element) sectionList.item(i);
 			}
 		}
 		if (sectionElement == null) {
-			sectionElement = document.createElement("section");
-			sectionElement.setAttribute("name", name);
+			sectionElement = document.createElement("section"); //$NON-NLS-1$
+			sectionElement.setAttribute("name", name); //$NON-NLS-1$
 		}
 		
 		for (Field f : BeanParameters.getAllFields(this)) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/LangSection.java	(revision 3445)
@@ -47,7 +47,7 @@
 	Combo langcombo;
 	
 	public LangSection(ImportFormEditor editor, FormToolkit toolkit2, ScrolledForm form2, Composite parent, int style) {
-		super(editor, toolkit2, form2, parent, style, "lang");
+		super(editor, toolkit2, form2, parent, style, "lang"); //$NON-NLS-1$
 		
 		this.section.setText(TXMUIMessages.mainLanguage);
 		TableWrapLayout layout = new TableWrapLayout();
@@ -92,7 +92,7 @@
 		langcombo = new Combo(sectionClient, SWT.BORDER);
 		gdata = getTextGridData();
 		langcombo.setLayoutData(gdata);
-		langcombo.setToolTipText("Sources lang (show only the TreeTagger common language)");
+		langcombo.setToolTipText(TXMUIMessages.CommonSourcesLangOfTreeTaggerModels);
 		// if widget selected change the radio buttons value
 		langcombo.addSelectionListener(new SelectionListener() {
 			
@@ -114,7 +114,7 @@
 		File files[] = new File(modelsDir).listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files != null && files.length > 0) {
 			for (File model : files) {
-				if (!model.getName().endsWith(".par")) continue;
+				if (!model.getName().endsWith(".par")) continue; //$NON-NLS-1$
 				String lang = FileUtils.stripExtension(model);
 				langcombo.add(lang);
 				if (locale.equals(lang)) {
@@ -124,7 +124,7 @@
 			}
 		}
 		if (added == 0) {
-			String[] langs = { "bg", "cat", "zh", "cop", "cs", "dk", "nl", "en", "ee", "fi ", "fr", "gl", "gr", "de", "ne", "it", "kr", "lat", "mn", "pl", "pt", "ro", "ru", "sk", "sl", "es", "tz" };
+			String[] langs = { "bg", "cat", "zh", "cop", "cs", "dk", "nl", "en", "ee", "fi ", "fr", "gl", "gr", "de", "ne", "it", "kr", "lat", "mn", "pl", "pt", "ro", "ru", "sk", "sl", "es", "tz" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$ //$NON-NLS-11$ //$NON-NLS-12$ //$NON-NLS-13$ //$NON-NLS-14$ //$NON-NLS-15$ //$NON-NLS-16$ //$NON-NLS-17$ //$NON-NLS-18$ //$NON-NLS-19$ //$NON-NLS-20$ //$NON-NLS-21$ //$NON-NLS-22$ //$NON-NLS-23$ //$NON-NLS-24$ //$NON-NLS-25$ //$NON-NLS-26$ //$NON-NLS-27$
 			Arrays.sort(langs);
 			langToSelectIndex = Arrays.binarySearch(langs, locale);
 			langcombo.setItems(langs);
@@ -155,7 +155,7 @@
 			annotateEngineCombo = new Combo(sectionClient, SWT.BORDER);
 			gdata = getTextGridData();
 			annotateEngineCombo.setLayoutData(gdata);
-			annotateEngineCombo.setToolTipText("Annotation engines");
+			annotateEngineCombo.setToolTipText(TXMUIMessages.AnnotationsEngines);
 			annotateEngineCombo.setItems(engines.toArray(new String[engines.size()]));
 			annotateEngineCombo.setText(annotateEngineCombo.getItem(0));
 		}
@@ -199,7 +199,7 @@
 		btnSelectAnnotate.setSelection(annotate);
 		
 		if (annotateEngineCombo != null) {
-			annotateEngineCombo.setText(project.getImportParameters().node("annotate").get("engine", "TreeTagger"));
+			annotateEngineCombo.setText(project.getImportParameters().node("annotate").get("engine", "TreeTagger")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 	}
 	
@@ -222,7 +222,7 @@
 			project.setLang(lang);
 			
 			if (annotateEngineCombo != null) {
-				project.getImportParameters().node("annotate").put("engine", annotateEngineCombo.getText());
+				project.getImportParameters().node("annotate").put("engine", annotateEngineCombo.getText()); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			return true;
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 3445)
@@ -744,7 +744,7 @@
 		if (editor.project == null) {
 			titleLabel.setText(NLS.bind(TXMUIMessages.importParametersOfP0, editor.getImportName()));
 		} else {
-			titleLabel.setText(NLS.bind("Update parameters for the {0} import module", editor.getImportName()));
+			titleLabel.setText(NLS.bind(TXMUIMessages.UpdateParametersForTheP0ImportModule, editor.getImportName()));
 		}
 		
 		FontData[] fD = titleLabel.getFont().getFontData();
@@ -820,7 +820,7 @@
 			RowLayout hLayout = new RowLayout();
 			hLayout.center = true;
 			line1.setLayout(hLayout);
-			toolkit.createLabel(line1, ""+(n++)+".", SWT.WRAP);
+			toolkit.createLabel(line1, ""+(n++)+".", SWT.WRAP); //$NON-NLS-1$ //$NON-NLS-2$
 			
 			Hyperlink hyperlink1 = toolkit.createHyperlink(line1, TXMUIMessages.selectTheSourceDirectory, SWT.WRAP);
 			hyperlink1.addHyperlinkListener(selectDirHListener);
@@ -837,7 +837,7 @@
 		RowLayout hLayout = new RowLayout();
 		hLayout.center = true;
 		line2.setLayout(hLayout);
-		toolkit.createLabel(line2, ""+(n++)+".", SWT.WRAP);
+		toolkit.createLabel(line2, ""+(n++)+".", SWT.WRAP); //$NON-NLS-1$ //$NON-NLS-2$
 		toolkit.createLabel(line2, TXMUIMessages.setImportParametersInTheSectionsBelow, SWT.WRAP);
 		
 		Composite line4 = toolkit.createComposite(form.getBody());
@@ -847,10 +847,10 @@
 		hLayout = new RowLayout();
 		hLayout.center = true;
 		line4.setLayout(hLayout);
-		toolkit.createLabel(line4, ""+(n++)+".", SWT.WRAP);
+		toolkit.createLabel(line4, ""+(n++)+".", SWT.WRAP); //$NON-NLS-1$ //$NON-NLS-2$
 		Hyperlink hyperlink3 = toolkit.createHyperlink(line4, TXMUIMessages.startCorpusImport, SWT.WRAP);
 		if (editor.project == null) {
-			hyperlink3.setText("Start corpus update");
+			hyperlink3.setText(TXMUIMessages.StartCorpusUpdate);
 		}
 		hyperlink3.addHyperlinkListener(startImportListener);
 		ImageHyperlink startImportLink2 = toolkit.createImageHyperlink(line4, SWT.NULL);
@@ -956,7 +956,7 @@
 		Log.info(TXMUIMessages.savingImportParameters);
 		
 		if (editor.project == null || editor.project.getRCPProject() == null || !editor.project.getRCPProject().exists()) {
-			Log.warning("The corpus has been deleted since. Please re-open the import form.");
+			Log.warning(TXMUIMessages.TheCorpushasBeenDeletedSincePleaseReOpenTheImportForm);
 			this.getEditor().close(false);
 			return false;
 		}
@@ -1007,7 +1007,7 @@
 			doSave = doSave & additionalSection.check();
 		}
 		if (!doSave) {
-			System.out.println("Some fields are not correctly filled.");
+			System.out.println(TXMUIMessages.SomeFieldsAreNotCorrectlyFilled);
 			return false;
 		}
 		
@@ -1061,7 +1061,7 @@
 			
 			return true;
 		}
-		System.out.println("Error while saving parameters.");
+		System.out.println(TXMUIMessages.ErrorWhileSavingParameters);
 		return false;
 		
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportModuleCustomization.java	(revision 3445)
@@ -47,11 +47,11 @@
 	
 	public static final String OPTIONS = "options"; //$NON-NLS-1$
 	
-	public static final String TEXTUALPLANS = "textualplans";
+	public static final String TEXTUALPLANS = "textualplans"; //$NON-NLS-1$
 	
-	public static final String STRUCTURES = "structures";
+	public static final String STRUCTURES = "structures"; //$NON-NLS-1$
 	
-	public static final String IMPORT_NAME = "import_name";
+	public static final String IMPORT_NAME = "import_name"; //$NON-NLS-1$
 	
 	protected static HashMap<String, HashMap<String, Boolean>> sectionsPerImportModule = new HashMap<>();
 	
@@ -341,7 +341,7 @@
 		sectionsPerImportModule.put("xtzLoader.groovy", params); //$NON-NLS-1$
 		names.put("xtzLoader.groovy", "XML-TEI Zero + CSV"); //$NON-NLS-1$ //$NON-NLS-2$
 		
-		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor("org.txm.rcp.importsection");
+		IConfigurationElement[] contributions = RegistryFactory.getRegistry().getConfigurationElementsFor("org.txm.rcp.importsection"); //$NON-NLS-1$
 			
 		for (int i = 0; i < contributions.length; i++) {
 			try {
@@ -349,16 +349,16 @@
 				@SuppressWarnings("unchecked")
 				ImportEditorSectionConfigurator iesc = (ImportEditorSectionConfigurator) contributions[i].createExecutableExtension("class"); //$NON-NLS-1$
 				
-				Log.fine(TXMCoreMessages.bind("Initializing import section with: {0}...", iesc));
+				Log.fine(TXMCoreMessages.bind("Initializing import section with: {0}...", iesc)); //$NON-NLS-1$
 				
 				iesc.installSections();
 			}
 			catch (Exception e) {
-				Log.severe("Error: failed to instantiate " + contributions[i].getName() + ".");
+				Log.severe("Error: failed to instantiate " + contributions[i].getName() + "."); //$NON-NLS-1$ //$NON-NLS-2$
 				e.printStackTrace();
 			}
 		}	
-		additionalSections.put("transcriberLoader.groovy", TRSSection.class);
+		additionalSections.put("transcriberLoader.groovy", TRSSection.class); //$NON-NLS-1$
 	}
 	
 	/**
@@ -370,8 +370,8 @@
 		if (sectionsPerImportModule.containsKey(importscript)) {
 			return sectionsPerImportModule.get(importscript);
 		}
-		else if (sectionsPerImportModule.containsKey(importscript+"Loader.groovy")) {
-			return sectionsPerImportModule.get(importscript+"Loader.groovy");
+		else if (sectionsPerImportModule.containsKey(importscript+"Loader.groovy")) { //$NON-NLS-1$
+			return sectionsPerImportModule.get(importscript+"Loader.groovy"); //$NON-NLS-1$
 		} 
 		else {
 			HashMap<String, Boolean> params = new HashMap<>();
@@ -399,8 +399,8 @@
 		if (sectionsPerImportModule.containsKey(importscript)) {
 			return names.get(importscript);
 		}
-		if (sectionsPerImportModule.containsKey(importscript+"Loader.groovy")) {
-			return names.get(importscript+"Loader.groovy");
+		if (sectionsPerImportModule.containsKey(importscript+"Loader.groovy")) { //$NON-NLS-1$
+			return names.get(importscript+"Loader.groovy"); //$NON-NLS-1$
 		}else {
 			return importscript;
 		}
@@ -413,7 +413,7 @@
 	 */
 	public static Class<? extends ImportEditorSection> getAdditionalSection(String importName) {
 		if (!additionalSections.containsKey(importName)) {
-			return additionalSections.get(importName+"Loader.groovy");
+			return additionalSections.get(importName+"Loader.groovy"); //$NON-NLS-1$
 		}
 		return additionalSections.get(importName);
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/ImportFormEditorInput.java	(revision 3445)
@@ -75,7 +75,7 @@
 			String name = ImportModuleCustomization.getName(scriptFile.getName());
 			return name;
 		} else {
-			return "";
+			return ""; //$NON-NLS-1$
 		}
 	}
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3445)
@@ -591,7 +591,7 @@
 			catch (Throwable e) {
 				// errors.add(ext);
 				
-				Log.warning(TXMCoreMessages.bind("Can't notify of {0} the \"{1}\" extension: {2}.", step, ext.getName() + " " + ext.getClass(), e));
+				Log.warning(TXMCoreMessages.bind(TXMCoreMessages.CantNotifyOfP0TheP1Extension, step, ext.getName() + TXMCoreMessages.P0DblDotP1 + ext.getClass(), e));
 				Log.printStackTrace(e);
 			}
 			// }
@@ -904,7 +904,7 @@
 		
 		// restrict the computing Job to one at time
 		if (this.computingJob != null && this.computingJob.getResult() == null) {
-			Log.finer(NLS.bind("Editor is already computing {0}. Please wait or abort the computing job ({1}).", this.result, this.computingJob.getName()));
+			Log.finer(NLS.bind("Editor is already computing {0}. Please wait or abort the computing job ({1}).", this.result, this.computingJob.getName())); //$NON-NLS-1$
 			return this.computingJob;
 		}
 		
@@ -956,11 +956,11 @@
 								}
 								
 								// subclasses manual result updating from editor fields
-								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$
+								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": manually updating result from editor."); //$NON-NLS-1$ //$NON-NLS-2$
 								updateResultFromEditor();
 								
 								// auto updating result parameters from parameter annotations of editor
-								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$
+								Log.finest("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": auto updating result from editor."); //$NON-NLS-1$ //$NON-NLS-2$
 								autoUpdateResultFromEditorParameters();
 								
 								
@@ -994,7 +994,7 @@
 					notifyExtensions("notifyStartOfCompute"); //$NON-NLS-1$
 					
 					if (!TXMEditor.this.getResult().compute(subMonitor.split(50))) {
-						Log.fine("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": computing failed.");
+						Log.fine("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": computing failed."); //$NON-NLS-1$ //$NON-NLS-2$
 					}
 					
 					notifyExtensions("notifyEndOfCompute"); //$NON-NLS-1$
@@ -1023,7 +1023,7 @@
 								// resultArea.setVisible(true);
 							}
 							catch (Exception e) {
-								Log.finer("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": Error while refreshing the editor: " + e); //$NON-NLS-1$
+								Log.finer("TXMEditor.compute(): " + TXMEditor.this.getClass().getSimpleName() + ": Error while refreshing the editor: " + e); //$NON-NLS-1$ //$NON-NLS-2$
 								Log.printStackTrace(e);
 							}
 						}
@@ -1036,7 +1036,7 @@
 				}
 				catch (Exception e) {
 					TXMEditor.this.getResult().resetComputingState();
-					Log.warning(NLS.bind("Error while computing {0}: {1}.", this.getResultObject(), e.getMessage()));
+					Log.warning(NLS.bind(TXMCoreMessages.ErrorWhileComputingP1DbldotP1, this.getResultObject(), e.getMessage()));
 					Log.printStackTrace(e);
 				}
 				finally {
@@ -1121,7 +1121,7 @@
 				
 			}
 			else {
-				Log.severe(NLS.bind("Failed to open editor {0}.", editorId)); // $NON-NLS-1$
+				Log.severe(NLS.bind(TXMCoreMessages.FailedToOpenTheP0Editor, editorId)); // $NON-NLS-1$
 				return null;
 			}
 			
@@ -1192,7 +1192,7 @@
 		String title = result.getName();
 		// limit tab title length
 		if (title.length() > MAX_NAME_LENGTH) {
-			title = title.substring(0, MAX_NAME_LENGTH - 1) + "...";
+			title = title.substring(0, MAX_NAME_LENGTH - 1) + "..."; //$NON-NLS-1$
 		}
 		this.setPartName(title);
 		// this.firePropertyChange(TXMEditor.PROP_DIRTY);
@@ -1204,10 +1204,10 @@
 		
 		this.initializeEditorFieldsFromResult(update);
 		
-		Log.finest("TXMEditor.refresh(): " + className + ": auto updating editor from result: " + this.getResult().getClass().getSimpleName() + "."); //$NON-NLS-1$
+		Log.finest("TXMEditor.refresh(): " + className + ": auto updating editor from result: " + this.getResult().getClass().getSimpleName() + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		this.autoUpdateEditorFieldsFromResult(update); // auto update from Parameter annotations
 		
-		Log.finest("TXMEditor.refresh(): " + className + ": updating subclass editor from result: " + this.getResult().getClass().getSimpleName() + "."); //$NON-NLS-1$ //$NON-NLS-2$
+		Log.finest("TXMEditor.refresh(): " + className + ": updating subclass editor from result: " + this.getResult().getClass().getSimpleName() + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		this.updateEditorFromResult(update); // subclasses manual settings
 		// }
 		
@@ -1241,7 +1241,7 @@
 			Set<ITXMResultEditor<TXMResult>> editors = SWTEditorsUtils.getEditors(results.get(i));
 			
 			// FIXME: Debug
-			Log.finest("TXMEditor.refresh(): " + className + ": child result = " + results.get(i).getClass().getSimpleName() + " / editors to refresh = " + editors + "."); //$NON-NLS-1$
+			Log.finest("TXMEditor.refresh(): " + className + ": child result = " + results.get(i).getClass().getSimpleName() + " / editors to refresh = " + editors + "."); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			// $NON-NLS-2$
 			
 			for (ITXMResultEditor<TXMResult> txmEditor : editors) {
@@ -1464,7 +1464,7 @@
 						f.set(this, value);
 					}
 					catch (Exception e) {
-						Log.fine(TXMCoreMessages.bind("Warning: can't assignate new value={0} to editor member={1} which have current value={2}.", value, f, object));
+						Log.fine(TXMCoreMessages.bind("Warning: can't assignate new value={0} to editor member={1} which have current value={2}.", value, f, object)); //$NON-NLS-1$
 					}
 				}
 				
@@ -1611,7 +1611,7 @@
 				this.getResult().setParameter(parameter.key(), value, true);
 			}
 			catch (IllegalArgumentException e) {
-				Log.severe("Error while auto-updating field " + parameter.key()+ " : "+e); //$NON-NLS-1$
+				Log.severe("Error while auto-updating field " + parameter.key()+ " : "+e); //$NON-NLS-1$ //$NON-NLS-2$
 				Log.printStackTrace(e);
 			}
 			catch (IllegalAccessException e) {
@@ -1636,7 +1636,7 @@
 			return this.getEditorInput().deleteResult();
 		}
 		catch (Exception e) {
-			Log.severe(TXMCoreMessages.bind("** Could not delete result {0}.", this.getResult()));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.CouldNotDeleteTheP0Result, this.getResult()));
 			Log.printStackTrace(e);
 			return false;
 		}
@@ -2248,7 +2248,7 @@
 					f.set(bean, value);
 				}
 				catch (Exception e) {
-					Log.fine(TXMCoreMessages.bind("Warning: can't assignate new value={0} to editor member={1} which have current value={2}.", value, f, object));
+					Log.fine(TXMCoreMessages.bind("Warning: can't assignate new value={0} to editor member={1} which have current value={2}.", value, f, object)); //$NON-NLS-1$
 				}
 			}
 			
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/SWTResourceManager.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/SWTResourceManager.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/SWTResourceManager.java	(revision 3445)
@@ -232,7 +232,7 @@
 	 */
 	public static Image decorateImage(final Image baseImage, final Image decorator, final int corner) {
 		if (corner <= 0 || corner >= LAST_CORNER_KEY) {
-			throw new IllegalArgumentException("Wrong decorate corner");
+			throw new IllegalArgumentException("Wrong decorate corner"); //$NON-NLS-1$
 		}
 		Map<Image, Map<Image, Image>> cornerDecoratedImageMap = m_decoratedImageMap[corner];
 		if (cornerDecoratedImageMap == null) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommand.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommand.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/editors/RCPCommand.java	(revision 3445)
@@ -27,6 +27,6 @@
 	}
 	
 	public String toString() {
-		return super.toString()+" -> "+editor_id;
+		return super.toString()+" -> "+editor_id; //$NON-NLS-1$
 	}
 }
\ No newline at end of file
